View Issue Details

IDProjectCategoryLast Update
0020258AI War 2[All Projects] Gameplay IssueSep 13, 2018 8:33 pm
ReporterHeartHunter7Assigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.768 Golem Rebirth 
Fixed in Version0.769-0.770 Thinking Long-Term 
Summary0020258: Cheesing warden fleet by building command stations in a battle
DescriptionIn my game i was meetting with this situation.
Sentinel. Never send waves and rewaves.
Hunter. Almost do nothing, looks like he has army not more, than 3 Threat. I dont see him almost always, may be he made in very early game one attack with 30+ units, but right now, i see only a few Hunter ships.
Warden. In early was big(for early game) fight. 7 riot ships and other ships for help Sentinel, he lost, and right now trying fight for every planet 24/7 with weak army. 1-2 riot ships, a few starships and about 30 small ships. He fightes every time with it, for helping Sentinel AI against 200+ ships with mark 5 and 3.

In the my past game from past Update. Warden was epic passive, but after 1-1,2 hours, he came to help Sentinel with 40+ Riot shield and a big army with 800+ a small ships. So he tryed get deathfleetball. But right now, in this game, he is just throw a little army for every planet. I tryed look all map with debag, he is really almost dont have army.
TagsNo tags attached.

Activities

HeartHunter7

Sep 8, 2018 1:07 pm

reporter  

1.savemet (50 bytes)
1.save (1,280,222 bytes)

HeartHunter7

Sep 8, 2018 1:08 pm

reporter  

ArcenDebugLog.txt (1,289,693 bytes)

RocketAssistedPuffin

Sep 8, 2018 7:03 pm

developer   ~0049154

Last edited: Sep 8, 2018 7:19 pm

View 2 revisions

I loaded this and...yeah, the Hunter Fleet is completely gone.

Yet it appears in my own games?

Same with the Sentinel sending waves and the Warden...even with the balance test mod I have on the forums. That and nothing else.

BadgerBadger

Sep 8, 2018 7:34 pm

manager   ~0049156

I just loaded this save game and there's no AI Overlord. Did you kill it?

HeartHunter7

Sep 8, 2018 7:35 pm

reporter   ~0049158

Lol, no.

RocketAssistedPuffin

Sep 8, 2018 7:37 pm

developer   ~0049159

Strange...there was an Overlord when I loaded it. At least the Icon was there.

HeartHunter7

Sep 8, 2018 7:40 pm

reporter   ~0049160

He is here

20180909023959_1.jpg (444,827 bytes)

BadgerBadger

Sep 8, 2018 7:52 pm

manager   ~0049161

Oh, you're right. I forgot to refresh the debug view all units. You're right that the hunter doesn't have many units, but unless you let Threat build up it probably won't get a lot of strength. What intensity did you set the Hunter to?

RocketAssistedPuffin

Sep 8, 2018 7:54 pm

developer   ~0049162

I let it run for a good while...high speed. The Warden is definitely active, it's just sending forces piecemeal as he says into a grinder. Once it eventually wins, with no player input, it groups up properly and continues on.

Found two Hunter Guardians, but that's it. Waves still missing...

HeartHunter7

Sep 8, 2018 8:02 pm

reporter   ~0049163

I play 8/8/8, so he 8.

HeartHunter7

Sep 9, 2018 11:52 am

reporter   ~0049171

New notes about AI strange logic.
Other game, other example. Waves and rewaves was working in this game, but Warden fleet was so lazy, early game was very fast for me. Meanwhile, Warden was trying make epic deathballfleet. So, I couldnot take new planets after 50+ minutes. AI so powers in this game, a lot of ship cap, a lot of units, infinity money and its 1x4 game(Instigator, Warden, Sentinel, Hunter). Sentinel wave can be beaten with 50-100% of human army, but not always. Hunter can be beaten almost always. But Warden, he is so big and dangerous. Screen 1. I cant beat him 1x1, so i tryed outplayed him. And what i see:

1)Warden logic. I tryed get point A and B, but i cant. Screen2. Warden always came to help and kills me for 60 seconds. +His army increasing every minutes. So, i moved all my army to bottom side and quickly captured points Z. Warden can move only in neitral planets and AI. So, he cant stop me if i will gey key points, like most big Z. Warden started a little moving to bottom side, he cant undestand, what he must defend, he moved to H. After this move, i have time for get planet from top side(points A, B). So, i can play with him cat and mice+getting new planets.

Second logic issue, that AI can attack only AI planets and neitrals, so i(players) can abuse one more thing. Just attack any AI planet, kill the command Station and make yourself. No matter how many army has Warden, he will just retreat. I need only kill maximum fast command station and make myself. Screen 5. I killed command station and a few towers, AI came to me, i maked my command station, and he was just retreat. But he can ez kill me. if he want. I tryed a few times this tactic, just focus station and make Human station, he was always retreat.

2)Sentinel. Sentinel makes fake waves. Screen 4,3. Wave was for planet Slavik(point A). But he doesnot attacked this planet with fully army. I saw only part of minipods, and then he was moved to other my planet(point B) without notification. I was not ready for it, so 1500+ minipods just killed my bottom side. Towers cant hold something without fleet.

screen4.jpg (374,346 bytes)
screen3.jpg (532,139 bytes)
screen5.jpg (558,074 bytes)
screen2.jpg (547,608 bytes)
screen1.jpg (636,257 bytes)

BadgerBadger

Sep 9, 2018 10:18 pm

manager   ~0049177

There are no waves being spawned because you disabled Direct, Cross Planet and Threat waves in the game lobby. Doing this prevents the AI from sending waves against you, since you explicitly disabled all the mechanisms for it to send waves

BadgerBadger

Sep 9, 2018 10:32 pm

manager   ~0049178

I don't really have a problem with the Warden Fleet retreating from player owned planets. I think though that we might need to increase the time it takes for a command center to build. If it takes 3 minutes then you can't really use it mid battle

HeartHunter7

Sep 10, 2018 3:17 am

reporter   ~0049191

when i read description of these options, I dont see the information, that I will not receive waves. I undestand it. like enemy will walk to my planet without teleportation. Okay, thank you. Right now, i know, what is it.
Hunter waves. Always disabled, never touch it. I think like minimum two waves enough for one tick. Hunter will/must attacks without this option anyway and without notification.

Abuse this trick against Warden is not good. And the rule - "Kill the Warden in early or he will kill you in Medium" still works.

BadgerBadger

Sep 10, 2018 9:23 am

manager   ~0049193

If you want the enemy waves to walk to your planets then turn on Cross Planet Waves. Then they will spawn at a Warp Gate and travel through normal space to their destination. I agree the Game Lobby UI needs to be improved to clarify this.

HeartHunter7

Sep 10, 2018 11:47 am

reporter   ~0049196

Okay.
Yes, new lobby need it.

BadgerBadger

Sep 10, 2018 12:10 pm

manager   ~0049199

This bug report is a bit rambling at this stage, so lets use it to make Command Stations build more slowly so you can't use them to cheese the Warden Fleet.

Feel free to open a new bug report for the other issues mentioned

HeartHunter7

Sep 10, 2018 12:18 pm

reporter   ~0049200

Okay. Lets see, Will it be possible to cheesing the enemy fleet or not.

BadgerBadger

Sep 13, 2018 8:33 pm

manager   ~0049224

Command Stations now take longer to build (45 seconds w/o engineers). If you can build one in the middle of a battle and keep it safe then that's an accomplishment worthy of making the Warden Fleet retreat.

Issue History

Date Modified Username Field Change
Sep 8, 2018 1:07 pm HeartHunter7 New Issue
Sep 8, 2018 1:07 pm HeartHunter7 File Added: 1.save
Sep 8, 2018 1:07 pm HeartHunter7 File Added: 1.savemet
Sep 8, 2018 1:08 pm HeartHunter7 File Added: ArcenDebugLog.txt
Sep 8, 2018 7:03 pm RocketAssistedPuffin Note Added: 0049154
Sep 8, 2018 7:19 pm RocketAssistedPuffin Note Edited: 0049154 View Revisions
Sep 8, 2018 7:34 pm BadgerBadger Note Added: 0049156
Sep 8, 2018 7:35 pm HeartHunter7 Note Added: 0049158
Sep 8, 2018 7:37 pm RocketAssistedPuffin Note Added: 0049159
Sep 8, 2018 7:40 pm HeartHunter7 File Added: 20180909023959_1.jpg
Sep 8, 2018 7:40 pm HeartHunter7 Note Added: 0049160
Sep 8, 2018 7:52 pm BadgerBadger Note Added: 0049161
Sep 8, 2018 7:54 pm RocketAssistedPuffin Note Added: 0049162
Sep 8, 2018 8:02 pm HeartHunter7 Note Added: 0049163
Sep 9, 2018 11:52 am HeartHunter7 File Added: screen1.jpg
Sep 9, 2018 11:52 am HeartHunter7 File Added: screen2.jpg
Sep 9, 2018 11:52 am HeartHunter7 File Added: screen5.jpg
Sep 9, 2018 11:52 am HeartHunter7 File Added: screen4.jpg
Sep 9, 2018 11:52 am HeartHunter7 File Added: screen3.jpg
Sep 9, 2018 11:52 am HeartHunter7 Note Added: 0049171
Sep 9, 2018 10:18 pm BadgerBadger Note Added: 0049177
Sep 9, 2018 10:32 pm BadgerBadger Note Added: 0049178
Sep 10, 2018 3:17 am HeartHunter7 Note Added: 0049191
Sep 10, 2018 9:23 am BadgerBadger Note Added: 0049193
Sep 10, 2018 11:47 am HeartHunter7 Note Added: 0049196
Sep 10, 2018 12:10 pm BadgerBadger Note Added: 0049199
Sep 10, 2018 12:11 pm BadgerBadger Summary AI Hunter, Sentinel and Warden doing something wrong in one of my games => Cheesing warden fleet by building command stations in a battle
Sep 10, 2018 12:18 pm HeartHunter7 Note Added: 0049200
Sep 13, 2018 8:33 pm BadgerBadger Assigned To => BadgerBadger
Sep 13, 2018 8:33 pm BadgerBadger Status new => resolved
Sep 13, 2018 8:33 pm BadgerBadger Resolution open => fixed
Sep 13, 2018 8:33 pm BadgerBadger Fixed in Version => 0.769-0.770 Thinking Long-Term
Sep 13, 2018 8:33 pm BadgerBadger Note Added: 0049224